import { DocFile, LessonFile, LessonLookup, ResourceMetadata } from "./types";
export { DocFile, LessonFile, LessonLookup, ResourceMetadata };
export declare function getApi(lang: string): Promise<DocFile | undefined>;
export declare function getDoc(lang: string, resource?: string): Promise<DocFile | undefined>;
export declare function getGuideDirectory(lang: string): Promise<ResourceMetadata[] | undefined>;
export declare function getTutorial(lang: string, lesson: string): Promise<LessonFile | undefined>;
export declare function getTutorialDirectory(lang: string): Promise<LessonLookup[] | undefined>;
